Bug 233999 - [NEW PORT] security/py-exscript: Automating Telnet and SSH
Summary: [NEW PORT] security/py-exscript: Automating Telnet and SSH
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2018-12-14 00:41 UTC by rozhuk.im
Modified: 2019-09-09 15:06 UTC (History)
5 users (show)

See Also:


Attachments
new port (1.93 KB, patch)
2018-12-14 00:41 UTC, rozhuk.im
no flags Details | Diff
new port patch (2.13 KB, patch)
2019-08-17 14:33 UTC, John Hay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2018-12-14 00:41:17 UTC
Created attachment 200097 [details]
new port

Exscript is a Python module and a template processor for automating network
connections over protocols such as Telnet or SSH.
We attempt to create the best possible set of tools for working with
Telnet and SSH.

WWW: https://github.com/knipknap/exscript
Comment 1 Nathan 2018-12-14 03:00:07 UTC
Comment on attachment 200097 [details]
new port

+GH_PROJECT=	exscript

Just so you know, if GH_ACCOUNT or GH_PROJECT is the same as PORTNAME, no need to specify; nothing major. 

*_DEPENDS goes below LICENSE (with space between), then USES, followed by USE_*

See: https://www.freebsd.org/doc/en/books/porters-handbook/porting-order.html

+COMMENT=	https://github.com/knipknap/exscript
Needs to be a short description(not containing portname), not URL
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 03:13:17 UTC
Review items:

* The canonical version scheme is x.y.z (per PyPI release), current version is 2.6.2. Update PORTVERSION accordingly. The repo does not contain a tag for this version, ask them to create one. Identify the exact revision of the 2.6.2 release and use that, if its not the same as the one already provided.
* Add a # comment above USE_GITHUB as to why its being used (upstream does not (yet) distribute an sdist). Ask upstream to publish a source distribution.
* COMMENT should match setup.py:description (modified to portlint compliance) where possible.
* Makefile section ordering needs addressing (NO_ARCH, *_DEPENDS)
* Add LICENSE_FILE
* paramiko RUN_DEPENDS: FLAVOR needs to be PY_FLAVOUR
* This package provides command line scripts. For packages that do this, package should be concurrent(installation)-safe. Use USE_PYTHON=concurrent, and QA that there are no files that share common locations between Python 2 and 3 build locations.
Comment 3 Tobias Kortkamp freebsd_committer 2019-01-25 08:06:20 UTC
Closing with Feedback Timeout of > 1 month.  Please reopen once the items in
comment #2 have been addressed.
Comment 4 John Hay 2019-08-17 14:33:21 UTC
Created attachment 206633 [details]
new port patch

Here is a new patch with hopefully all issues resolved. I have changed the MAINTAINER to me because of the timeout with the original submitter, but am ok if someone else is the maintainer.
Comment 5 rozhuk.im 2019-08-18 02:01:03 UTC
(In reply to John Hay from comment #4)

Thanks!
I do not want maintain this port, so new MAINTAINER is ok for me.
Comment 6 commit-hook freebsd_committer 2019-09-09 14:59:41 UTC
A commit references this bug:

Author: kai
Date: Mon Sep  9 14:58:49 UTC 2019
New revision: 511633
URL: https://svnweb.freebsd.org/changeset/ports/511633

Log:
  [NEW PORT]: security/py-exscript

  Exscript is a Python module and a template processor for automating network
  connections over protocols such as Telnet or SSH.
  We attempt to create the best possible set of tools for working with
  Telnet and SSH.

  WWW: https://github.com/knipknap/exscript

  PR:		233999
  Submitted by:	rozhuk.im@gmail.com (initial version), jhay
  Reviewed by:	koobs

Changes:
  head/security/Makefile
  head/security/py-exscript/
  head/security/py-exscript/Makefile
  head/security/py-exscript/distinfo
  head/security/py-exscript/pkg-descr
Comment 7 Kai Knoblich freebsd_committer 2019-09-09 15:06:33 UTC
(In reply to rozhuk.im from comment #0)
(In reply to John Hay from comment #4)

Committed, thank you both for the initial/revised patches and thank you John, for taking maintainership!

I did only some minor fixes (sorting order of variables, executing ${REINPLACE_CMD} only once) and added a "do-test" target to make future QA easier.